# List all customs items Returns a list all customs items objects. Endpoint: GET /customs/items Version: 2018-02-08 Security: APIKeyHeader ## Query parameters: - `page` (integer) The page number you want to select - `results` (integer) The number of results to return per page (max 100) ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Response 200 fields (application/json): - `next` (string) Example: "baseurl?page=3&results=10" - `previous` (string) Example: "baseurl?page=1&results=10" - `results` (array) - `results.description` (string, required) Text description of your item. Example: "T-Shirt" - `results.eccn_ear99` (string) Export Control Classification Number, required on some exports from the United States. - `results.mass_unit` (string, required) The unit used for weight. Enum: "g", "kg", "lb", "oz" - `results.metadata` (string) A string of up to 100 characters that can be filled with any additional information you want to attach to the object. Example: "Order ID \"123454\"" - `results.net_weight` (string, required) Total weight of this item, i.e. quantity * weight per item. Example: "5" - `results.origin_country` (string, required) Country of origin of the item. Example: US or DE. All accepted values can be found on the Official ISO Website. - `results.quantity` (integer, required) Quantity of this item in the shipment you send. Must be greater than 0. Example: 20 - `results.sku_code` (string) SKU code of the item, which is required by some carriers. Example: "HM-123" - `results.hs_code` (string) HS code of the item, which is required by some carriers. If tariff_number is not provided, hs_code will be used. If both hs_code and tariff_number are provided, tariff_number will be used. 50 character limit. Example: "0901.21" - `results.tariff_number` (string) The tariff number of the item. If tariff_number is not provided, hs_code will be used. If both hs_code and tariff_number are provided, tariff_number will be used. 12 character limit. - `results.value_amount` (string, required) Total value of this item, i.e. quantity * value per item. Example: "200" - `results.value_currency` (string, required) Currency used for value_amount. The official ISO 4217 currency codes are used, e.g. USD or EUR. Example: "USD" - `results.object_created` (string) Date and time of object creation. Example: "2014-07-17T00:49:20.631Z" - `results.object_id` (string) Unique identifier of the given object. Example: "d799c2679e644279b59fe661ac8fa488" - `results.object_owner` (string) Username of the user who created the object. Example: "shippotle@shippo.com" - `results.object_state` (string) Indicates the validity of the enclosing object Enum: "VALID", "INVALID" - `results.object_updated` (string) Date and time of last object update. Example: "2014-07-17T00:49:20.631Z" - `results.test` (boolean) Indicates whether the object has been created in test mode.